org.apache.jmeter.report.dashboard

## Class JsonExporter

- java.lang.Object
- - org.apache.jmeter.report.dashboard.AbstractDataExporter
  - - org.apache.jmeter.report.dashboard.JsonExporter

- All Implemented Interfaces:
    DataExporter

      public class JsonExporter
      extends AbstractDataExporter

  Implementation of `DataExporter` that exports statistics to JSON
  Since:
    5.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OUTPUT_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(SampleContext context, java.io.File file, ReportGeneratorConfiguration reportGeneratorConfiguration)` Export data from the specified context using the given configuration.

    - ### Methods inherited from class org.apache.jmeter.report.dashboard.AbstractDataExporter

      `findData, findValue, getName, getPropertyFromConfig, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT_FILENAME

          public static final java.lang.String OUTPUT_FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JsonExporter

          public JsonExporter()

  - ### Method Detail

    - #### export

          public void export(SampleContext context,
                             java.io.File file,
                             ReportGeneratorConfiguration reportGeneratorConfiguration)
                      throws ExportException

      Description copied from interface: `DataExporter`
      Export data from the specified context using the given configuration.
      Parameters:
        `context` - the context (must not be `null`)
        `file` - the file which from samples come (must not be `null`)
        `reportGeneratorConfiguration` - the configuration (must not be `null`)
      Throws:
        `ExportException` - the export exception

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.